module.exports = class Stick {
	constructor() {
		this.id = 0;
		this.name = "a stick";
		this.description = "A small crooked stick, splintered on the ends.";
		this.type = "item";
		this.keywords = ["stick"];
		this.resetDelay = 12000000;
		this.itemExpires = 0;
		this.filename = "stick.js";
	}

	mud_init() {
		world.mud_addItemToRoom("PhandalinTownGreen", this.id);
	}

	mud_reset(time) {
		this.itemExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.itemExpires) {
			this.mud_reset(time);
		}
	}
}

