module.exports = class LibraryBookReturn {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Library Book Return";
		this.description = "An old oak desk to the north has a slot for returning books.";
		this.filename = "library/bookreturn.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["south", "west"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "A page turns in the utter silence.\n");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "LibraryEntrance");
		return true;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "LibraryWestStacks1");
		return true;
	}
};
