module.exports = class PhandalinRoad5 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Phandalin Road";
		this.description = "A well worn dirt road.";
		this.filename = "phandalin/road05.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["north", "west", "southwest", "east"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "One of the townsfolk smiles as she passes by.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	southwest(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad4");
		return true;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinLionshieldCoster");
		return true;
	}

	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad6");
		return true;
	}

	//east(room, mobile, input) {
	//	world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad31");
	//	return true;
	//}
};
