module.exports = class PhandalinRoad9 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Phandalin Road";
		this.description = "A well worn dirt road.";
		this.filename = "phandalin/road09.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["southwest", "northeast", "enter"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "One of the townsfolk smiles as she passes by.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	west(room, mobile, input) {
		return this.enter(room, mobile, input);
	}

	enter(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinSmithy");
		return true;
	}

	southwest(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad8");
		return true;
	}

	northeast(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad10");
		return true;
	}
};
