module.exports = class Documentation {
	help(room, mobile, input) {
		if(input.join(" ").trim().length == 0) {
			libs.Output.toMobile(mobile.id, "The basic commands are:");
			libs.Output.toMobile(mobile.id, "look, say, get, drop, give, help, inventory, who");
			libs.Output.toMobile(mobile.id, "save, chpass, hint, quit");
			libs.Output.toMobile(mobile.id, "If you want more detailed information on any command, type help [topic]");
			return true;
		}
		var topic = input.join(" ").trim();
		switch(topic) {
			case "help":
				libs.Output.toMobile(mobile.id, "If you want more detailed information on any command, type help [topic]");
				libs.Output.toMobile(mobile.id, "Not seeing what you're looking for? Try sending a message to the server admin.");
				return true;
		}
	}

	hello(room, mobile, input) {
		libs.Output.toMobile(mobile.id, "If you would like to communicate to someone, try typing");
		libs.Output.toMobile(mobile.id, "\t{green}say hello{/green}");
		libs.Output.toMobile(mobile.id, "If you are having difficulty in playing, please read the help files");
		libs.Output.toMobile(mobile.id, "\t{green}help{/green}");
		return true;
	}

	mud_getErrorMessage() {
		return "The knowledge of the universe {error}eludes{/error} you.";
	}
};