module.exports = class Feelings {
	help(room, mobile, input) {
		var topic = input.join(" ").trim();
		switch(topic) {
			case "feelings":
				libs.Output.toMobile(mobile.id, "There are a wide variety of emotes.");
				libs.Output.toMobile(mobile.id, "TBD");
				return true;
		}
	}

	rainbow(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You beam a {red}r{yellow}a{green}i{blue}n{magenta}b{red}o{yellow}w{/yellow} at " + roomMobile.name + ".");
			libs.Output.toMobile(roomMobile.id, mobile.name + " beams a {red}r{yellow}a{green}i{blue}n{magenta}b{red}o{yellow}w{/yellow} at you.");
			libs.Output.toRoom(room.id, mobile.name + " beams a {red}r{yellow}a{green}i{blue}n{magenta}b{red}o{yellow}w{/yellow} at " + roomMobile.name + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You feel like a {red}r{yellow}a{green}i{blue}n{magenta}b{red}o{yellow}w{/yellow}!", mobile);
		libs.Output.toRoom(room.id, mobile.name + " feels like a {red}r{yellow}a{green}i{blue}n{magenta}b{red}o{yellow}w{/yellow}!", mobile);
		return true;
	}

	smile(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You smile brightly at " + roomMobile.name + ".");
			libs.Output.toMobile(roomMobile.id, mobile.name + " smiles brightly at you.");
			libs.Output.toRoom(room.id, mobile.name + " smiles brightly at " + roomMobile.name + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You smile brightly.", mobile);
		libs.Output.toRoom(room.id, mobile.name + " smiles brightly.", mobile);
		return true;
	}

	frown(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You frown darkly at " + roomMobile.name + ".");
			libs.Output.toMobile(roomMobile.id, mobile.name + " frowns darkly at you.");
			libs.Output.toRoom(room.id, mobile.name + " frowns darkly at " + roomMobile.name + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You frown darkly.", mobile);
		libs.Output.toRoom(room.id, mobile.name + " frowns darkly.", mobile);
		return true;
	}

	laugh(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You laugh heartily at " + roomMobile.name + ".");
			libs.Output.toMobile(roomMobile.id, mobile.name + " laughs heartily at you.");
			libs.Output.toRoom(room.id, mobile.name + " laughs heartily at " + roomMobile.name + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You laugh heartily.", mobile);
		libs.Output.toRoom(room.id, mobile.name + " laughs heartily.", mobile);
		return true;
	}

	nod(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You nod knowingly at " + roomMobile.name + ".");
			libs.Output.toMobile(roomMobile.id, mobile.name + " nods knowingly at you.");
			libs.Output.toRoom(room.id, mobile.name + " nods knowingly at " + roomMobile.name + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You nod knowingly.", mobile);
		libs.Output.toRoom(room.id, mobile.name + " nods knowingly.", mobile);
		return true;
	}

	wave(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You wave at " + roomMobile.name + ".");
			libs.Output.toMobile(roomMobile.id, mobile.name + " waves at you.");
			libs.Output.toRoom(room.id, mobile.name + " waves at " + roomMobile.name + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You wave.", mobile);
		libs.Output.toRoom(room.id, mobile.name + " waves.", mobile);
		return true;
	}

	mud_getErrorMessage() {
		return "Your emotions briefly {error}dim{/error}, leaving you feeling empty.";
	}
}