module.exports = class UnassumingKey {
	constructor() {
		this.id = 0;
		this.name = "an unassuming key";
		this.description = "A small key that belongs to an unassuming house.";
		this.type = "item";
		this.keywords = ["key", "unassuming key"];
		this.resetDelay = 12000000;
		this.mud_reset(0);
		this.filename = "unassumingkey.js";
	}

	mud_reset(time) {
		this.itemExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.itemExpires) {
			this.mud_reset(time);
		}
	}
}

