module.exports = class LibraryWestStacks1 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Library Stacks";
		this.description = "The tall shelves are covered in various sized books. To the east you can see a large desk.";
		this.filename = "library/weststacks1.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["east"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "A page turns in the utter silence.\n");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	east(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "LibraryBookReturn");
		return true;
	}
};
