module.exports = class PhandalinRoad8 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Phandalin Road";
		this.description = "A well worn dirt road.";
		this.filename = "phandalin/road08.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["south", "northwest", "northeast"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "One of the townsfolk smiles as she passes by.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad7");
		return true;
	}

	northwest(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad16");
		return true;
	}

	northeast(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad9");
		return true;
	}
};
