module.exports = class Void1 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "room 0";
		this.description = "A dark mist-filled void.";
		this.filename = "void1.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["north", "west"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The mists swirl\n");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "Void2");
		return true;
	}
	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "LibraryEntrance");
		return true;
	}
};
