module.exports = class Void2 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "room 1";
		this.description = "A dark mist-filled void.";
		this.filename = "void2.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["east"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "The mists swirl\n");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	east(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "Void1");
		return true;
	};
};
